L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Noyau Linux : déni de service de fib_seq_start

Synthèse de la vulnérabilité 

Un attaquant peut stopper le système suite à une erreur dans la fonction fib_seq_start().
Produits vulnérables : Fedora, Linux, Mandriva Linux, openSUSE, RHEL.
Gravité de cette faille : 1/4.
Date de création : 20/04/2005.
Références de ce bulletin : BID-13267, CVE-2005-1041, FLSA-2006:157459-3, MDKSA-2005:110, RHSA-2005:366, SUSE-SA:2005:068, V6-LINUXFIBSEQSTARTDOS, VIGILANCE-VUL-4914.

Description de la vulnérabilité 

Les fichiers net/ipv4/fib*.c du noyau implémentent la Forwarding Information Base. La fonction fib_seq_start() est définie dans le fichier fib_hash.c.

Le fichier /proc/net/route indique les routes installées sur le système.

Un attaquant local peut accéder à /proc/net/route afin de provoquer une erreur dans la fonction fib_seq_start(). Cette erreur stoppe le noyau.

Un attaquant local peut ainsi mener un déni de service.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cet avis de menace concerne les logiciels ou systèmes comme Fedora, Linux, Mandriva Linux, openSUSE, RHEL.

Notre équipe Vigil@nce a déterminé que la gravité de cette alerte de vulnérabilité est faible.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter cet avis de menace informatique.

Solutions pour cette menace 

Fedora Core 2 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
Fedora Core 2:
SRPM:
http://download.fedoralegacy.org/fedora/2/updates/SRPMS/kernel-2.6.10-2.3.legacy_FC2.src.rpm
i386:
http://download.fedoralegacy.org/fedora/2/updates/i386/kernel-doc-2.6.10-2.3.legacy_FC2.noarch.rpm
http://download.fedoralegacy.org/fedora/2/updates/i386/kernel-sourcecode-2.6.10-2.3.legacy_FC2.noarch.rpm
http://download.fedoralegacy.org/fedora/2/updates/i386/kernel-2.6.10-2.3.legacy_FC2.i586.rpm
http://download.fedoralegacy.org/fedora/2/updates/i386/kernel-smp-2.6.10-2.3.legacy_FC2.i586.rpm
http://download.fedoralegacy.org/fedora/2/updates/i386/kernel-2.6.10-2.3.legacy_FC2.i686.rpm
http://download.fedoralegacy.org/fedora/2/updates/i386/kernel-smp-2.6.10-2.3.legacy_FC2.i686.rpm

Mandrake : nouveaux paquetages kernel 2.6.
De nouveaux paquetages sont disponibles :
 Mandrakelinux 10.0: kernel-2.6.3.27mdk-1-1mdk
 Mandrakelinux 10.1: kernel-2.6.8.1.25mdk-1-1mdk
 Mandrakelinux 10.2: kernel-2.6.11.12mdk-1-1mdk

RHEL 4 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
Red Hat Enterprise Linux version 4: kernel-2.6.9-5.0.5.EL

SUSE : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
   SUSE LINUX 9.3:
   ftp://ftp.suse.com/pub/suse/i386/update/9.3/rpm/i586/
     kernel-*-2.6.11.4-21.10
   SUSE LINUX 9.2:
   ftp://ftp.suse.com/pub/suse/i386/update/9.2/rpm/i586/
     kernel-*-2.6.8-24.19
   SUSE LINUX 9.1:
   ftp://ftp.suse.com/pub/suse/i386/update/9.1/rpm/i586/
     kernel-*-2.6.5-7.202.7
   SuSE Linux 9.0:
   ftp://ftp.suse.com/pub/suse/i386/update/9.0/rpm/i586/
     k_*-2.4.21-303
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une analyse de vulnérabilité de réseau. La veille sécurité Vigil@nce publie des bulletins de vulnérabilités pour les failles qui impactent le système d'information.